- Home
- Download

- GitHub

- News
- Documentation

- FAQ
- Tutorial
- API reference
- Examples

- XML Digital Signature
- XML Encryption
- XML Canonicalization
- Reporting Bugs
- Mailing list
- Related
- Authors

## crypto

crypto — Crypto transforms implementation for Microsoft Crypto API.

## Stability Level

Stable, unless otherwise indicated

## Functions

xmlSecCryptoDLFunctionsPtr | xmlSecCryptoGetFunctions_mscrypto ()
int | xmlSecMSCryptoInit ()
int | xmlSecMSCryptoShutdown ()
int | xmlSecMSCryptoKeysMngrInit ()
int | xmlSecMSCryptoGenerateRandom ()
void | xmlSecMSCryptoErrorsDefaultCallback ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataDsaGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformDsaSha1GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataGost2001GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformGost2001GostR3411_94GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataGost2012_256GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataGost2012_512GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformGost2012_256GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformGost2012_512GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataRsaGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaMd5GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaSha1GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaSha256GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaSha384GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaSha512GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaPkcs1GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformRsaOaepGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformMd5GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformSha1GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformSha256GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformSha384GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformSha512GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformGostR3411_94GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformGostR3411_2012_256GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformGostR3411_2012_512GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataAesGetKlass ()
int | xmlSecMSCryptoKeyDataAesSet ()
xmlSecTransformId | xmlSecMSCryptoTransformAes128CbcGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformAes192CbcGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformAes256CbcGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformKWAes128GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformKWAes192GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformKWAes256GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataDesGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformDes3CbcGetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformKWDes3GetKlass ()
xmlSecKeyDataId | xmlSecMSCryptoKeyDataHmacGetKlass ()
int | xmlSecMSCryptoKeyDataHmacSet ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacMd5GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacRipemd160GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacSha1GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacSha224GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacSha256GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacSha384GetKlass ()
xmlSecTransformId | xmlSecMSCryptoTransformHmacSha512GetKlass ()

## Types and Values

#define | xmlSecMSCryptoKeyDataDsaId
#define | xmlSecMSCryptoTransformDsaSha1Id
#define | xmlSecMSCryptoKeyDataGost2001Id
#define | xmlSecMSCryptoTransformGost2001GostR3411_94Id
#define | xmlSecMSCryptoKeyDataGost2012_256Id
#define | xmlSecMSCryptoKeyDataGost2012_512Id
#define | xmlSecMSCryptoTransformGost2012_256Id
#define | xmlSecMSCryptoTransformGost2012_512Id
#define | xmlSecMSCryptoKeyDataRsaId
#define | xmlSecMSCryptoTransformRsaMd5Id
#define | xmlSecMSCryptoTransformRsaSha1Id
#define | xmlSecMSCryptoTransformRsaSha256Id
#define | xmlSecMSCryptoTransformRsaSha384Id
#define | xmlSecMSCryptoTransformRsaSha512Id
#define | xmlSecMSCryptoTransformRsaPkcs1Id
#define | xmlSecMSCryptoTransformRsaOaepId
#define | xmlSecMSCryptoTransformMd5Id
#define | xmlSecMSCryptoTransformSha1Id
#define | xmlSecMSCryptoTransformSha256Id
#define | xmlSecMSCryptoTransformSha384Id
#define | xmlSecMSCryptoTransformSha512Id
#define | xmlSecMSCryptoTransformGostR3411_94Id
#define | xmlSecMSCryptoTransformGostR3411_2012_256Id
#define | xmlSecMSCryptoTransformGostR3411_2012_512Id
#define | xmlSecMSCryptoKeyDataAesId
#define | xmlSecMSCryptoTransformAes128CbcId
#define | xmlSecMSCryptoTransformAes192CbcId
#define | xmlSecMSCryptoTransformAes256CbcId
#define | xmlSecMSCryptoTransformKWAes128Id
#define | xmlSecMSCryptoTransformKWAes192Id
#define | xmlSecMSCryptoTransformKWAes256Id
#define | xmlSecMSCryptoKeyDataDesId
#define | xmlSecMSCryptoTransformDes3CbcId
#define | xmlSecMSCryptoTransformKWDes3Id
#define | xmlSecMSCryptoKeyDataHmacId
#define | xmlSecMSCryptoTransformHmacMd5Id
#define | xmlSecMSCryptoTransformHmacRipemd160Id
#define | xmlSecMSCryptoTransformHmacSha1Id
#define | xmlSecMSCryptoTransformHmacSha224Id
#define | xmlSecMSCryptoTransformHmacSha256Id
#define | xmlSecMSCryptoTransformHmacSha384Id
#define | xmlSecMSCryptoTransformHmacSha512Id

## Description

## Functions

### xmlSecCryptoGetFunctions_mscrypto ()

    xmlSecCryptoDLFunctionsPtr
    xmlSecCryptoGetFunctions_mscrypto (void);

Gets MSCrypto specific functions table.

#### Returns

xmlsec-mscrypto functions table.

### xmlSecMSCryptoInit ()

    int
    xmlSecMSCryptoInit (void);

XMLSec library specific crypto engine initialization.

#### Returns

0 on success or a negative value otherwise.

### xmlSecMSCryptoShutdown ()

    int
    xmlSecMSCryptoShutdown (void);

XMLSec library specific crypto engine shutdown.

#### Returns

0 on success or a negative value otherwise.

### xmlSecMSCryptoKeysMngrInit ()

    int
    xmlSecMSCryptoKeysMngrInit (xmlSecKeysMngrPtr mngr);

Adds MSCrypto specific key data stores in keys manager.

#### Parameters

mngr | the pointer to keys manager. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecMSCryptoGenerateRandom ()

    int
    xmlSecMSCryptoGenerateRandom (xmlSecBufferPtr buffer,
                                  xmlSecSize size);

Generates `size` random bytes and puts result in `buffer` .

#### Parameters

buffer | the destination buffer. |
size | the numer of bytes to generate. |

#### Returns

0 on success or a negative value otherwise.

### xmlSecMSCryptoErrorsDefaultCallback ()

    void
    xmlSecMSCryptoErrorsDefaultCallback (const char *file,
                                         int line,
                                         const char *func,
                                         const char *errorObject,
                                         const char *errorSubject,
                                         int reason,
                                         const char *msg);

The default errors reporting callback function. Just a pass through to the default callback.

#### Parameters

file | the error location file name (__FILE__ macro). |
line | the error location line number (__LINE__ macro). |
func | the error location function name (__FUNCTION__ macro). |
errorObject | the error specific error object |
errorSubject | the error specific error subject. |
reason | the error code. |
msg | the additional error message. |

### xmlSecMSCryptoKeyDataDsaGetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataDsaGetKlass (void);

The DSA key data klass.

#### Returns

pointer to DSA key data klass.

### xmlSecMSCryptoTransformDsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformDsaSha1GetKlass
                                   (void);

The DSA-SHA1 signature transform klass.

#### Returns

DSA-SHA1 signature transform klass.

### xmlSecMSCryptoKeyDataGost2001GetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataGost2001GetKlass (void);

The GOST2001 key data klass.

#### Returns

pointer to GOST2001 key data klass.

### xmlSecMSCryptoTransformGost2001GostR3411_94GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformGost2001GostR3411_94GetKlass
                                   (void);

The GOST2001-GOSTR3411_94 signature transform klass.

#### Returns

GOST2001-GOSTR3411_94 signature transform klass.

### xmlSecMSCryptoKeyDataGost2012_256GetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataGost2012_256GetKlass
                                   (void);

The GOST2012_256 key data klass.

#### Returns

pointer to GOST2012_256 key data klass.

### xmlSecMSCryptoKeyDataGost2012_512GetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataGost2012_512GetKlass
                                   (void);

The GOST2012_512 key data klass.

#### Returns

pointer to GOST2012_512 key data klass.

### xmlSecMSCryptoTransformGost2012_256GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformGost2012_256GetKlass
                                   (void);

The GOST R 34.10-2012 signature transform klass.

#### Returns

GOST2001-GOST R 34.10-2012 signature transform klass.

### xmlSecMSCryptoTransformGost2012_512GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformGost2012_512GetKlass
                                   (void);

The GOST R 34.10-2012 signature transform klass.

#### Returns

GOST2001-GOST R 34.10-2012 signature transform klass.

### xmlSecMSCryptoKeyDataRsaGetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataRsaGetKlass (void);

The MSCrypto RSA CertKey data klass.

#### Returns

pointer to MSCrypto RSA key data klass.

### xmlSecMSCryptoTransformRsaMd5GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaMd5GetKlass (void);

The RSA-MD5 signature transform klass.

#### Returns

RSA-MD5 signature transform klass.

### xmlSecMSCryptoTransformRsaSha1GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaSha1GetKlass
                                   (void);

The RSA-SHA1 signature transform klass.

#### Returns

RSA-SHA1 signature transform klass.

### xmlSecMSCryptoTransformRsaSha256GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaSha256GetKlass
                                   (void);

The RSA-SHA2-256 signature transform klass.

#### Returns

RSA-SHA2-256 signature transform klass.

### xmlSecMSCryptoTransformRsaSha384GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaSha384GetKlass
                                   (void);

The RSA-SHA2-384 signature transform klass.

#### Returns

RSA-SHA2-384 signature transform klass.

### xmlSecMSCryptoTransformRsaSha512GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaSha512GetKlass
                                   (void);

The RSA-SHA2-512 signature transform klass.

#### Returns

RSA-SHA2-512 signature transform klass.

### xmlSecMSCryptoTransformRsaPkcs1GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaPkcs1GetKlass
                                   (void);

The RSA-PKCS1 key transport transform klass.

#### Returns

RSA-PKCS1 key transport transform klass.

### xmlSecMSCryptoTransformRsaOaepGetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformRsaOaepGetKlass
                                   (void);

The RSA-OAEP key transport transform klass.

#### Returns

RSA-OAEP key transport transform klass.

### xmlSecMSCryptoTransformMd5GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformMd5GetKlass (void);

SHA-1 digest transform klass.

#### Returns

pointer to SHA-1 digest transform klass.

### xmlSecMSCryptoTransformSha1GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformSha1GetKlass (void);

SHA-1 digest transform klass.

#### Returns

pointer to SHA-1 digest transform klass.

### xmlSecMSCryptoTransformSha256GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformSha256GetKlass (void);

SHA-256 digest transform klass.

#### Returns

pointer to SHA-256 digest transform klass.

### xmlSecMSCryptoTransformSha384GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformSha384GetKlass (void);

SHA-384 digest transform klass.

#### Returns

pointer to SHA-384 digest transform klass.

### xmlSecMSCryptoTransformSha512GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformSha512GetKlass (void);

SHA-512 digest transform klass.

#### Returns

pointer to SHA-512 digest transform klass.

### xmlSecMSCryptoTransformGostR3411_94GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformGostR3411_94GetKlass
                                   (void);

GOSTR3411_94 digest transform klass.

#### Returns

pointer to GOSTR3411_94 digest transform klass.

### xmlSecMSCryptoTransformGostR3411_2012_256GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformGostR3411_2012_256GetKlass
                                   (void);

GOSTR3411_2012_256 digest transform klass.

#### Returns

pointer to GOSTR3411_2012_256 digest transform klass.

### xmlSecMSCryptoTransformGostR3411_2012_512GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformGostR3411_2012_512GetKlass
                                   (void);

GOSTR3411_2012_512 digest transform klass.

#### Returns

pointer to GOSTR3411_2012_512 digest transform klass.

### xmlSecMSCryptoKeyDataAesGetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataAesGetKlass (void);

The AES key data klass.

#### Returns

AES key data klass.

### xmlSecMSCryptoKeyDataAesSet ()

    int
    xmlSecMSCryptoKeyDataAesSet (xmlSecKeyDataPtr data,
                                 const xmlSecByte *buf,
                                 xmlSecSize bufSize);

Sets the value of AES key data.

#### Parameters

data | the pointer to AES key data. |
buf | the pointer to key value. |
bufSize | the key value size (in bytes). |

#### Returns

0 on success or a negative value if an error occurs.

### xmlSecMSCryptoTransformAes128CbcGetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformAes128CbcGetKlass
                                   (void);

AES 128 CBC encryption transform klass.

#### Returns

pointer to AES 128 CBC encryption transform.

### xmlSecMSCryptoTransformAes192CbcGetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformAes192CbcGetKlass
                                   (void);

AES 192 CBC encryption transform klass.

#### Returns

pointer to AES 192 CBC encryption transform.

### xmlSecMSCryptoTransformAes256CbcGetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformAes256CbcGetKlass
                                   (void);

AES 256 CBC encryption transform klass.

#### Returns

pointer to AES 256 CBC encryption transform.

### xmlSecMSCryptoTransformKWAes128GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformKWAes128GetKlass
                                   (void);

The AES-128 kew wrapper transform klass.

#### Returns

AES-128 kew wrapper transform klass.

### xmlSecMSCryptoTransformKWAes192GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformKWAes192GetKlass
                                   (void);

The AES-192 kew wrapper transform klass.

#### Returns

AES-192 kew wrapper transform klass.

### xmlSecMSCryptoTransformKWAes256GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformKWAes256GetKlass
                                   (void);

The AES-256 kew wrapper transform klass.

#### Returns

AES-256 kew wrapper transform klass.

### xmlSecMSCryptoKeyDataDesGetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataDesGetKlass (void);

The DES key data klass.

#### Returns

DES key data klass.

### xmlSecMSCryptoTransformDes3CbcGetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformDes3CbcGetKlass
                                   (void);

Triple DES CBC encryption transform klass.

#### Returns

pointer to Triple DES encryption transform.

### xmlSecMSCryptoTransformKWDes3GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformKWDes3GetKlass (void);

The Triple DES key wrapper transform klass.

#### Returns

Triple DES key wrapper transform klass.

### xmlSecMSCryptoKeyDataHmacGetKlass ()

    xmlSecKeyDataId
    xmlSecMSCryptoKeyDataHmacGetKlass (void);

The HMAC key data klass.

#### Returns

HMAC key data klass.

### xmlSecMSCryptoKeyDataHmacSet ()

    int
    xmlSecMSCryptoKeyDataHmacSet (xmlSecKeyDataPtr data,
                                  const xmlSecByte *buf,
                                  xmlSecSize bufSize);

Sets the value of HMAC key data.

#### Parameters

data | the pointer to HMAC key data. |
buf | the pointer to key value. |
bufSize | the key value size (in bytes). |

#### Returns

0 on success or a negative value if an error occurs.

### xmlSecMSCryptoTransformHmacMd5GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacMd5GetKlass
                                   (void);

The HMAC-MD5 transform klass.

#### Returns

the HMAC-MD5 transform klass.

### xmlSecMSCryptoTransformHmacRipemd160GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacRipemd160GetKlass
                                   (void);

The HMAC-RIPEMD160 transform klass.

#### Returns

the HMAC-RIPEMD160 transform klass.

### xmlSecMSCryptoTransformHmacSha1GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacSha1GetKlass
                                   (void);

The HMAC-SHA1 transform klass.

#### Returns

the HMAC-SHA1 transform klass.

### xmlSecMSCryptoTransformHmacSha224GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacSha224GetKlass
                                   (void);

The HMAC-SHA224 transform klass.

#### Returns

the HMAC-SHA224 transform klass.

### xmlSecMSCryptoTransformHmacSha256GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacSha256GetKlass
                                   (void);

The HMAC-SHA256 transform klass.

#### Returns

the HMAC-SHA256 transform klass.

### xmlSecMSCryptoTransformHmacSha384GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacSha384GetKlass
                                   (void);

The HMAC-SHA384 transform klass.

#### Returns

the HMAC-SHA384 transform klass.

### xmlSecMSCryptoTransformHmacSha512GetKlass ()

    xmlSecTransformId
    xmlSecMSCryptoTransformHmacSha512GetKlass
                                   (void);

The HMAC-SHA512 transform klass.

#### Returns

the HMAC-SHA512 transform klass.

## Types and Values

### xmlSecMSCryptoKeyDataDsaId

    #define             xmlSecMSCryptoKeyDataDsaId

The DSA key klass.

### xmlSecMSCryptoTransformDsaSha1Id

    #define             xmlSecMSCryptoTransformDsaSha1Id

The DSA SHA1 signature transform klass.

### xmlSecMSCryptoKeyDataGost2001Id

    #define             xmlSecMSCryptoKeyDataGost2001Id

The GOST2001 key klass.

### xmlSecMSCryptoTransformGost2001GostR3411_94Id

    #define             xmlSecMSCryptoTransformGost2001GostR3411_94Id

The GOST2001 GOSTR3411_94 signature transform klass.

### xmlSecMSCryptoKeyDataGost2012_256Id

    #define             xmlSecMSCryptoKeyDataGost2012_256Id

The GOST R 34.10-2012 256 key klass

### xmlSecMSCryptoKeyDataGost2012_512Id

    #define             xmlSecMSCryptoKeyDataGost2012_512Id

The GOST R 34.10-2012 512 key klass

### xmlSecMSCryptoTransformGost2012_256Id

    #define             xmlSecMSCryptoTransformGost2012_256Id

The GOST R 34.10-2012 - GOST R 3411-2012 256 bit signature transform klass.

### xmlSecMSCryptoTransformGost2012_512Id

    #define             xmlSecMSCryptoTransformGost2012_512Id

The GOST R 34.10-2012 - GOST R 3411-2012 512 bit signature transform klass.

### xmlSecMSCryptoKeyDataRsaId

    #define             xmlSecMSCryptoKeyDataRsaId

The RSA key klass.

### xmlSecMSCryptoTransformRsaMd5Id

    #define             xmlSecMSCryptoTransformRsaMd5Id

The RSA-MD5 signature transform klass.

### xmlSecMSCryptoTransformRsaSha1Id

    #define             xmlSecMSCryptoTransformRsaSha1Id

The RSA-SHA1 signature transform klass.

### xmlSecMSCryptoTransformRsaSha256Id

    #define             xmlSecMSCryptoTransformRsaSha256Id

The RSA-SHA2-256 signature transform klass.

### xmlSecMSCryptoTransformRsaSha384Id

    #define             xmlSecMSCryptoTransformRsaSha384Id

The RSA-SHA2-384 signature transform klass.

### xmlSecMSCryptoTransformRsaSha512Id

    #define             xmlSecMSCryptoTransformRsaSha512Id

The RSA-SHA2-512 signature transform klass.

### xmlSecMSCryptoTransformRsaPkcs1Id

    #define             xmlSecMSCryptoTransformRsaPkcs1Id

The RSA PKCS1 key transport transform klass.

### xmlSecMSCryptoTransformRsaOaepId

    #define             xmlSecMSCryptoTransformRsaOaepId

The RSA OAEP key transport transform klass. MSCrypto only supports SHA1 for digest and MGF1.

### xmlSecMSCryptoTransformMd5Id

    #define             xmlSecMSCryptoTransformMd5Id

The MD5 digest transform klass.

### xmlSecMSCryptoTransformSha1Id

    #define             xmlSecMSCryptoTransformSha1Id

The SHA1 digest transform klass.

### xmlSecMSCryptoTransformSha256Id

    #define             xmlSecMSCryptoTransformSha256Id

The SHA2-256 digest transform klass.

### xmlSecMSCryptoTransformSha384Id

    #define             xmlSecMSCryptoTransformSha384Id

The SHA2-384 digest transform klass.

### xmlSecMSCryptoTransformSha512Id

    #define             xmlSecMSCryptoTransformSha512Id

The SHA2-512 digest transform klass.

### xmlSecMSCryptoTransformGostR3411_94Id

    #define             xmlSecMSCryptoTransformGostR3411_94Id

The GOSTR3411_94 digest transform klass.

### xmlSecMSCryptoTransformGostR3411_2012_256Id

    #define             xmlSecMSCryptoTransformGostR3411_2012_256Id

The GOST R 34.11-2012 256 digest transform klass.

### xmlSecMSCryptoTransformGostR3411_2012_512Id

    #define             xmlSecMSCryptoTransformGostR3411_2012_512Id

The GOST R 34.11-2012 512 digest transform klass.

### xmlSecMSCryptoKeyDataAesId

    #define             xmlSecMSCryptoKeyDataAesId

The AES key data klass.

### xmlSecMSCryptoTransformAes128CbcId

    #define             xmlSecMSCryptoTransformAes128CbcId

The AES128 CBC cipher transform klass.

### xmlSecMSCryptoTransformAes192CbcId

    #define             xmlSecMSCryptoTransformAes192CbcId

The AES192 CBC cipher transform klass.

### xmlSecMSCryptoTransformAes256CbcId

    #define             xmlSecMSCryptoTransformAes256CbcId

The AES256 CBC cipher transform klass.

### xmlSecMSCryptoTransformKWAes128Id

    #define             xmlSecMSCryptoTransformKWAes128Id

The AES 128 key wrap transform klass.

### xmlSecMSCryptoTransformKWAes192Id

    #define             xmlSecMSCryptoTransformKWAes192Id

The AES 192 key wrap transform klass.

### xmlSecMSCryptoTransformKWAes256Id

    #define             xmlSecMSCryptoTransformKWAes256Id

The AES 256 key wrap transform klass.

### xmlSecMSCryptoKeyDataDesId

    #define             xmlSecMSCryptoKeyDataDesId

The DES key data klass.

### xmlSecMSCryptoTransformDes3CbcId

    #define             xmlSecMSCryptoTransformDes3CbcId

The DES3 CBC cipher transform klass.

### xmlSecMSCryptoTransformKWDes3Id

    #define             xmlSecMSCryptoTransformKWDes3Id

The DES3 KW transform klass.

### xmlSecMSCryptoKeyDataHmacId

    #define             xmlSecMSCryptoKeyDataHmacId

The HMAC key klass.

### xmlSecMSCryptoTransformHmacMd5Id

    #define             xmlSecMSCryptoTransformHmacMd5Id

The HMAC with MD5 signature transform klass.

### xmlSecMSCryptoTransformHmacRipemd160Id

    #define             xmlSecMSCryptoTransformHmacRipemd160Id

The HMAC with RipeMD160 signature transform klass.

### xmlSecMSCryptoTransformHmacSha1Id

    #define             xmlSecMSCryptoTransformHmacSha1Id

The HMAC with SHA1 signature transform klass.

### xmlSecMSCryptoTransformHmacSha224Id

    #define             xmlSecMSCryptoTransformHmacSha224Id

The HMAC with SHA2-224 signature transform klass.

### xmlSecMSCryptoTransformHmacSha256Id

    #define             xmlSecMSCryptoTransformHmacSha256Id

The HMAC with SHA2-256 signature transform klass.

### xmlSecMSCryptoTransformHmacSha384Id

    #define             xmlSecMSCryptoTransformHmacSha384Id

The HMAC with SHA2-384 signature transform klass.

### xmlSecMSCryptoTransformHmacSha512Id

    #define             xmlSecMSCryptoTransformHmacSha512Id

The HMAC with SHA2-512 signature transform klass.